列出认证

命名空间:microsoft.graph

从用户配置文件中检索 personCertification 对象 的列表

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) User.Read、User.ReadWrite、User.ReadBasic.All、User.Read.All、User.ReadWrite.All
委派(个人 Microsoft 帐户) User.Read、User.ReadWrite、User.ReadBasic.All、User.Read.All、User.ReadWrite.All
应用程序 User.ReadBasic.All、User.Read.All、User.ReadWrite.All

HTTP 请求

GET /me/profile/certifications
GET /users/{id | userPrincipalName}/profile/certifications

可选的查询参数

此方法支持以下 OData 查询参数来帮助自定义响应。 若要了解一般信息,请参阅 OData 查询参数

名称 说明
$filter string 将响应范围限定为仅包含指定条件的对象。
$orderby string 默认情况下,响应中的对象按查询中的 createdDateTime 值进行排序。 可以使用 $orderby 参数 更改响应 的顺序。
$select string 要在响应中添加的属性列表(以逗号分隔)。为获得最佳结果,请仅选择所需属性的子集。
$skip int 跳过前 n 个结果,可用于分页。
$top int 要返回的结果数。

请求标头

名称 说明
Authorization Bearer {token}。必需。

请求正文

请勿提供此方法的请求正文。

响应

如果成功,此方法在响应 200 OK 正文中返回 响应代码和 personCertification 对象集合。

示例

GET https://graph.microsoft.com/beta/me/profile/certifications

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 200 OK
Content-Type: application/json

{
  "value": [
    {
      "id": "0fb4c1e3-c1e3-0fb4-e3c1-b40fe3c1b40f",
      "allowedAudiences": "organization",
      "inference": null,
      "createdDateTime": "2020-07-06T06:34:12.2294868Z",
      "createdBy": {
        "application": null,
        "device": null,
        "user": {
          "displayName": "Innocenty Popov",
          "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
        }
      },
      "lastModifiedDateTime": "2020-07-06T06:34:12.2294868Z",
      "lastModifiedBy": {
        "application": null,
        "device": null,
        "user": {
          "displayName": "Innocenty Popov",
          "id": "db789417-4ccb-41d1-a0a9-47b01a09ea49"
        }
      },
      "source": null,
      "certificationId": "KB-1235466333663322",
      "description": "Blackbelt in Marketing - Brand Management",
      "displayName": "Marketing Blackbelt - Brand Management",
      "endDate": "Date",
      "issuedDate": "Date",
      "issuingAuthority": "International Academy of Marketing Excellence",
      "issuingCompany": "International Academy of Marketing Excellence",
      "startDate": "Date",
      "thumbnailUrl": "https://iame.io/dfhdfdfd334.jpg",
      "webUrl": "https://www.iame.io/blackbelt"
    }
  ]
}